"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var cucumber_messages_1 = require("cucumber-messages");
var react_1 = __importDefault(require("react"));
var ResultsLookupContext_1 = __importDefault(require("../../ResultsLookupContext"));
var styled_react_accessible_accordion_1 = require("../styled-react-accessible-accordion");
var GherkinDocumentSideNav = function (_a) {
    var gherkinDocuments = _a.gherkinDocuments, selectedUri = _a.selectedUri, onSelection = _a.onSelection;
    var resultsLookup = react_1.default.useContext(ResultsLookupContext_1.default);
    return (react_1.default.createElement(styled_react_accessible_accordion_1.Accordion, { allowMultipleExpanded: false, allowZeroExpanded: false, preExpanded: [selectedUri], onChange: function (args) { return onSelection(args[0]); } }, gherkinDocuments.map(function (gherkinDocument) {
        var testResults = resultsLookup(gherkinDocument.uri, null);
        var status = testResults.length > 0 ? testResults[0].status : cucumber_messages_1.messages.TestResult.Status.UNKNOWN;
        return (react_1.default.createElement(styled_react_accessible_accordion_1.AccordionItem, { key: gherkinDocument.uri, uuid: gherkinDocument.uri },
            react_1.default.createElement(styled_react_accessible_accordion_1.AccordionItemHeading, null,
                react_1.default.createElement(styled_react_accessible_accordion_1.AccordionItemButton, { status: status }, gherkinDocument.uri))));
    })));
};
exports.default = GherkinDocumentSideNav;
//# sourceMappingURL=GherkinDocumentSideNav.js.map