"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_dom_1 = __importDefault(require("react-dom"));
var react_1 = __importDefault(require("react"));
var Step_1 = __importDefault(require("../src/components/gherkin/Step"));
var cucumber_messages_1 = require("cucumber-messages");
var assert = __importStar(require("assert"));
var StepMatchLookupByLineContext_1 = __importDefault(require("../src/StepMatchLookupByLineContext"));
describe('Step', function () {
    it('renders', function () {
        var JSDOM = require('jsdom').JSDOM;
        var dom = new JSDOM('<html lang="en"><body><div id="content"></div></body></html>');
        // @ts-ignore
        global.window = dom.window;
        // global.navigator = dom.window.navigator
        var document = dom.window.document;
        var step = new cucumber_messages_1.messages.GherkinDocument.Feature.Step({
            keyword: 'Given',
            text: 'the 48 pixies',
            location: new cucumber_messages_1.messages.Location({ column: 1, line: 1 }),
        });
        var stepMatchLookupByLine = function () {
            return [
                new cucumber_messages_1.messages.TestStepMatched({
                    stepMatchArguments: [
                        new cucumber_messages_1.messages.StepMatchArgument({
                            group: new cucumber_messages_1.messages.StepMatchArgument.Group({
                                start: 4,
                                value: '48',
                                children: [],
                            }),
                        }),
                    ]
                })
            ];
        };
        var app = react_1.default.createElement(StepMatchLookupByLineContext_1.default.Provider, { value: stepMatchLookupByLine },
            react_1.default.createElement(Step_1.default, { step: step }));
        react_dom_1.default.render(app, document.getElementById('content'));
        assert.strictEqual(document.querySelector('#content h3 > span:nth-child(2)').innerHTML, 'the ');
        assert.strictEqual(document.querySelector('#content h3 > span:nth-child(3)').innerHTML, '48');
        assert.strictEqual(document.querySelector('#content h3 > span:nth-child(4)').innerHTML, ' pixies');
    });
});
//# sourceMappingURL=StepTest.js.map